Skip to main content

Get RADAR Details

Retrieve consented Personal Identifiable Information and Associated Bank Account(s) in three(3) simple consented flow/steps​

The Radar endpoint covers all Nigerian bank accounts that aligns with the NUBAN scheme, sometimes beside GTBank & UBA.


RADAR Service Production Base URL​

POST: https://api.creditchek.africa/v1/radar/​

Request Parameters​

NamePositionRequiredDescription
tokenAuthorizationTrueapp secret key
typebodyTrueto contain the bvn in JSON format
bvnbodyTrueuser bvn (required when type is bvn)

Headers Required​

Authorization: Bearer <TOKEN>
Content-Type: application/json


Flow Summary​

StepEndpointRequired Fields
1/bvn/initiatebvn
2/bvn/verifysessionId, method, email/phone
3/bvn/detailtoken (OTP), sessionId

BVN Lookup API - Test/Sandbox Parameters

Test/Sandbox Sample Data​

ParameterTest Value
BVN12345678901
Session ID00112233445566778899
OTP TokenUse this 6 digits (123456)


Step-1. POST /bvn/initiate​

Initiate BVN lookup consent with CreditChek validation.

Request Body (JSON):

{
"bvn": "12345678901"
}

Response:

{
"status": "success",
"message": "BVN lookup initiated successfully",
"data": {
"session_id": "00112233445566778899",
"methods": [
{ "method": "email", "hint": "An email with a verification code will be sent to jo***[email protected]" },
{ "method": "phone", "hint": "Sms with a verification code will be sent to phone 0811***1111" },
{ "method": "alternate_phone", "hint": "Sms with a verification code will be sent to your alternate phone number" }
]
}
}

Step-2. POST /bvn/verify​

Send OTP to user's email or phone chosen method.

Headers:

Authorization: Bearer <token>
Content-Type: application/json

Body (Email method):

{
"sessionId": "123456789012",
"method": "email",
"email": "[email protected]"
}

Body (Phone method):

{
"sessionId": "00112233445566778899",
"method": "phone",
"phone": "08123456789"
}

Response (Email method):

{
"success": true,
"message": "Please enter the OTP that was sent to [email protected]",
"data": null
}

Response (Phone method):

{
"success": true,
"message": "Please enter the OTP that was sent to 08123456789",
"data": null
}

3. POST /bvn/detail​

Get BVN personal details with bank accounts using authorised OTP.

Headers:

Authorization: Bearer <token>
Content-Type: application/json

Body:

{
"token": "123456",
"sessionId": "00112233445566778899"
}

Response:

{
"status": "success",
"data": {
"bvn": "12345678901",
"banks": [
{
"account_name": "EMEKA OKONKWO",
"account_number": "2106616247",
"account_type": "SAVINGS",
"account_designation": "INDIVIDUAL",
"institution": {
"name": "First Bank",
"branch": "4660137",
"bank_code": "011",
"nip_code": "000016"
}
},
{
"account_name": "EMEKA OKONKWO",
"account_number": "1464732243",
"account_type": "CURRENT",
"account_designation": "INDIVIDUAL",
"institution": {
"name": "GTBank",
"branch": "4656683",
"bank_code": "058",
"nip_code": "000013"
}
},
{
"account_name": "OKONKWO EMEKA",
"account_number": "6002968156",
"account_type": "SAVINGS",
"account_designation": "INDIVIDUAL",
"institution": {
"name": "Standard Chartered Bank",
"branch": "4648618",
"bank_code": "068",
"nip_code": "000021"
}
},
{
"account_name": "emeka okonkwo",
"account_number": "2220697014",
"account_type": "SAVINGS",
"account_designation": "INDIVIDUAL",
"institution": {
"name": "Access Bank Nigeria Plc",
"branch": "4657214",
"bank_code": "044",
"nip_code": "000014"
}
},
{
"account_name": "OKONKWO EMEKA",
"account_number": "3178920069",
"account_type": "SAVINGS",
"account_designation": "INDIVIDUAL",
"institution": {
"name": "Zenith Bank",
"branch": "4653344",
"bank_code": "057",
"nip_code": "000015"
}
}
],
"personalInfo": {
"bvn": "12345678901",
"dateOfBirth": "15-Mar-1990",
"email": "[email protected]",
"enrollmentBank": "011",
"enrollmentBranch": "LAGOS MAIN",
"firstName": "emeka",
"gender": "Male",
"lastName": "okonkwo",
"levelOfAccount": "Level 1 - Low Level Accounts",
"lgaOfOrigin": "Onitsha",
"lgaOfResidence": "Ikeja",
"maritalStatus": "Single",
"middleName": "chukwu",
"nameOnCard": "EMEKA OKONKWO",
"nationality": "Nigeria",
"nin": "12345678901",
"phones": [
"08012345678",
"09012345678"
],
"photo": "https://res.cloudinary.com/creditchek-africa/image/upload/v1730715709/bvnData/sample_photo.jpg",
"registrationDate": "10-Jan-2015",
"residentialAddress": "123 Awolowo Road, Ikeja, Lagos",
"stateOfOrigin": "Anambra State",
"stateOfResidence": "Lagos State",
"title": "Mr",
"watchListed": "NO"
}
}
}